API ReferencePhone Numbers
Get phone number
Get details of a specific phone number including usage statistics.
Authorization
sessionAuth AuthorizationBearer <token>
NextAuth session token
In: header
Path Parameters
orgId*string
Format
uuidid*string
Format
uuidResponse Body
application/json
curl -X GET "https://platform.autophone.org/api/organizations/497f6eca-6276-4993-bfeb-53cbbbba6f08/phone-numbers/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"phoneNumber": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9",
"phoneNumber": "string",
"displayName": "string",
"assistantId": "bb8c7fe3-2157-48a3-a0a7-af503b091988",
"provider": "twilio",
"status": "active",
"twilioSid": "string",
"capabilities": {
"voice": true,
"sms": true,
"mms": true
},
"createdAt": "2019-08-24T14:15:22Z",
"assistant": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9",
"name": "string",
"systemPrompt": "string",
"modelId": "autophone-g1",
"voiceMappingId": "8e89b0d4-3f56-448b-8820-1f22601a2e24",
"greeting": "string",
"greetingChat": "string",
"language": "ar",
"accent": "string",
"temperature": 0.7,
"maxDuration": 600,
"silenceTimeout": 10,
"interruptionSensitivity": "low",
"enablePhone": true,
"enableBrowser": true,
"enableChat": true,
"status": "active",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}
},
"conversations": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9",
"contactId": "b5ec5d98-4bee-4da1-ad24-dde86346cb1d",
"assistantId": "bb8c7fe3-2157-48a3-a0a7-af503b091988",
"channel": "phone",
"direction": "inbound",
"status": "initiated",
"startedAt": "2019-08-24T14:15:22Z",
"endedAt": "2019-08-24T14:15:22Z",
"duration": 0,
"recordingUrl": "http://example.com",
"metadata": {}
}
],
"stats": {
"totalCalls": 0,
"totalDuration": 0,
"avgDuration": 0,
"successRate": 0,
"completedCalls": 0
}
}Empty
Empty
Empty